package repository

import "be.ems/src/modules/network_data/model"

// UE会话事件 数据层接口
type IUEEvent interface {
	// SelectPage 根据条件分页查询
	SelectPage(querys model.UEEventQuery) map[string]any

	// SelectByIds 通过ID查询
	SelectByIds(ueIds []string) []model.UEEvent

	// DeleteByIds 批量删除信息
	DeleteByIds(ueIds []string) int64
}
